> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get labels



## OpenAPI

````yaml /openapi/settings.json get /v1/crm/settings/labels/
openapi: 3.0.3
info:
  title: Yume API — Настройки
  version: 1.0.0
  description: Настройки приложения и пользовательские предпочтения.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/settings/labels/:
    get:
      tags:
        - labels
      summary: Get labels
      operationId: labels_list
      parameters:
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Label'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    Label:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        key:
          allOf:
            - $ref: '#/components/schemas/LabelKeyEnum'
          title: Ключ
          description: |-
            Ключ

            * `inventory` - Инвентарь
            * `inventory_set` - Комплект
            * `inventory_group` - Продукт
            * `rental_point` - Точка проката
            * `service` - Услуга
            * `client` - Клиент
            * `deposit` - Депозит
            * `workshop` - Мастерская
            * `request` - Запрос
            * `reserve` - Забронировано
            * `inrent` - В прокате
            * `canceled` - Отменено
            * `completed` - Завершено
            * `debtor` - Должник
            * `exceed` - Просрочено
            * `deleted` - Удалено
        language:
          allOf:
            - $ref: '#/components/schemas/LanguageEnum'
          title: Язык
          description: |-
            Язык

            * `ru` - Русский
            * `en` - English
        nominative_singular:
          type: string
          nullable: true
          title: Именительный падеж (ед. ч.)
          description: Nominative singular form (e.g., "Инвентарь")
          maxLength: 255
        nominative_plural:
          type: string
          nullable: true
          title: Именительный падеж (мн. ч.)
          description: Nominative plural form (e.g., "Инвентари")
          maxLength: 255
        genitive_singular:
          type: string
          nullable: true
          title: Родительный падеж (ед. ч.)
          description: Genitive singular (e.g., "инвентаря")
          maxLength: 255
        dative_singular:
          type: string
          nullable: true
          title: Дательный падеж (ед. ч.)
          description: Dative singular (e.g., "инвентарю")
          maxLength: 255
        accusative_singular:
          type: string
          nullable: true
          title: Винительный падеж (ед. ч.)
          description: Accusative singular (e.g., "инвентарь")
          maxLength: 255
        instrumental_singular:
          type: string
          nullable: true
          title: Творительный падеж (ед. ч.)
          description: Instrumental singular (e.g., "инвентарем")
          maxLength: 255
        prepositional_singular:
          type: string
          nullable: true
          title: Предложный падеж (ед. ч.)
          description: Prepositional singular (e.g., "об инвентаре")
          maxLength: 255
        genitive_plural:
          type: string
          nullable: true
          title: Родительный падеж (мн. ч.)
          description: Genitive plural (e.g., "инвентарей")
          maxLength: 255
        dative_plural:
          type: string
          nullable: true
          title: Дательный падеж (мн. ч.)
          description: Dative plural (e.g., "инвентарям")
          maxLength: 255
        accusative_plural:
          type: string
          nullable: true
          title: Винительный падеж (мн. ч.)
          description: Accusative plural (e.g., "инвентари")
          maxLength: 255
        instrumental_plural:
          type: string
          nullable: true
          title: Творительный падеж (мн. ч.)
          description: Instrumental plural (e.g., "инвентарями")
          maxLength: 255
        prepositional_plural:
          type: string
          nullable: true
          title: Предложный падеж (мн. ч.)
          description: Prepositional plural (e.g., "об инвентарях")
          maxLength: 255
      required:
        - id
        - key
        - language
    LabelKeyEnum:
      enum:
        - inventory
        - inventory_set
        - inventory_group
        - rental_point
        - service
        - client
        - deposit
        - workshop
        - request
        - reserve
        - inrent
        - canceled
        - completed
        - debtor
        - exceed
        - deleted
      type: string
      description: |-
        * `inventory` - Инвентарь
        * `inventory_set` - Комплект
        * `inventory_group` - Продукт
        * `rental_point` - Точка проката
        * `service` - Услуга
        * `client` - Клиент
        * `deposit` - Депозит
        * `workshop` - Мастерская
        * `request` - Запрос
        * `reserve` - Забронировано
        * `inrent` - В прокате
        * `canceled` - Отменено
        * `completed` - Завершено
        * `debtor` - Должник
        * `exceed` - Просрочено
        * `deleted` - Удалено
    LanguageEnum:
      enum:
        - ru
        - en
      type: string
      description: |-
        * `ru` - Русский
        * `en` - English
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````